## org.eclipse.datatools.modelbase.sql.query.provider
Class SQLQueryModelItemProviderAdapterFactory

    java.lang.Object
      AdapterFactoryImpl
          org.eclipse.datatools.modelbase.sql.query.util.SQLQueryModelAdapterFactory
              org.eclipse.datatools.modelbase.sql.query.provider.SQLQueryModelItemProviderAdapterFactory

    public class SQLQueryModelItemProviderAdapterFactory

extends SQLQueryModelAdapterFactory

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Constructor Summary
`SQLQueryModelItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`Adapter` `adapt(Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`void` `addListener(INotifyChangedListener notifyChangedListener)` This adds a listener.
`Adapter` `createColumnNameAdapter()` This creates an adapter for a `ColumnName`.
`Adapter` `createCursorReferenceAdapter()` This creates an adapter for a `CursorReference`.
`Adapter` `createGroupingExpressionAdapter()` This creates an adapter for a `GroupingExpression`.
`Adapter` `createGroupingSetsAdapter()` This creates an adapter for a `GroupingSets`.
`Adapter` `createGroupingSetsElementExpressionAdapter()` This creates an adapter for a `GroupingSetsElementExpression`.
`Adapter` `createGroupingSetsElementSublistAdapter()` This creates an adapter for a `GroupingSetsElementSublist`.
`Adapter` `createOrderByOrdinalAdapter()` This creates an adapter for a `OrderByOrdinal`.
`Adapter` `createOrderByResultColumnAdapter()` This creates an adapter for a `OrderByResultColumn`.
`Adapter` `createOrderByValueExpressionAdapter()` This creates an adapter for a `OrderByValueExpression`.
`Adapter` `createPredicateBasicAdapter()` This creates an adapter for a `PredicateBasic`.
`Adapter` `createPredicateBetweenAdapter()` This creates an adapter for a `PredicateBetween`.
`Adapter` `createPredicateExistsAdapter()` This creates an adapter for a `PredicateExists`.
`Adapter` `createPredicateInValueListAdapter()` This creates an adapter for a `PredicateInValueList`.
`Adapter` `createPredicateInValueRowSelectAdapter()` This creates an adapter for a `PredicateInValueRowSelect`.
`Adapter` `createPredicateInValueSelectAdapter()` This creates an adapter for a `PredicateInValueSelect`.
`Adapter` `createPredicateIsNullAdapter()` This creates an adapter for a `PredicateIsNull`.
`Adapter` `createPredicateLikeAdapter()` This creates an adapter for a `PredicateLike`.
`Adapter` `createPredicateQuantifiedRowSelectAdapter()` This creates an adapter for a `PredicateQuantifiedRowSelect`.
`Adapter` `createPredicateQuantifiedValueSelectAdapter()` This creates an adapter for a `PredicateQuantifiedValueSelect`.
`Adapter` `createQueryCombinedAdapter()` This creates an adapter for a `QueryCombined`.
`Adapter` `createQueryDeleteStatementAdapter()` This creates an adapter for a `QueryDeleteStatement`.
`Adapter` `createQueryExpressionRootAdapter()` This creates an adapter for a `QueryExpressionRoot`.
`Adapter` `createQueryInsertStatementAdapter()` This creates an adapter for a `QueryInsertStatement`.
`Adapter` `createQueryMergeStatementAdapter()` This creates an adapter for a `QueryMergeStatement`.
`Adapter` `createQueryNestedAdapter()` This creates an adapter for a `QueryNested`.
`Adapter` `createQuerySelectAdapter()` This creates an adapter for a `QuerySelect`.
`Adapter` `createQuerySelectStatementAdapter()` This creates an adapter for a `QuerySelectStatement`.
`Adapter` `createQueryUpdateStatementAdapter()` This creates an adapter for a `QueryUpdateStatement`.
`Adapter` `createQueryValuesAdapter()` This creates an adapter for a `QueryValues`.
`Adapter` `createResultColumnAdapter()` This creates an adapter for a `ResultColumn`.
`Adapter` `createResultTableAllColumnsAdapter()` This creates an adapter for a `ResultTableAllColumns`.
`Adapter` `createSearchConditionCombinedAdapter()` This creates an adapter for a `SearchConditionCombined`.
`Adapter` `createSearchConditionNestedAdapter()` This creates an adapter for a `SearchConditionNested`.
`Adapter` `createSuperGroupAdapter()` This creates an adapter for a `SuperGroup`.
`Adapter` `createSuperGroupElementExpressionAdapter()` This creates an adapter for a `SuperGroupElementExpression`.
`Adapter` `createSuperGroupElementSublistAdapter()` This creates an adapter for a `SuperGroupElementSublist`.
`Adapter` `createTableCorrelationAdapter()` This creates an adapter for a `TableCorrelation`.
`Adapter` `createTableFunctionAdapter()` This creates an adapter for a `TableFunction`.
`Adapter` `createTableInDatabaseAdapter()` This creates an adapter for a `TableInDatabase`.
`Adapter` `createTableJoinedAdapter()` This creates an adapter for a `TableJoined`.
`Adapter` `createTableNestedAdapter()` This creates an adapter for a `TableNested`.
`Adapter` `createUpdateAssignmentExpressionAdapter()` This creates an adapter for a `UpdateAssignmentExpression`.
`Adapter` `createUpdateSourceAdapter()` This creates an adapter for a `UpdateSource`.
`Adapter` `createUpdateSourceExprListAdapter()` This creates an adapter for a `UpdateSourceExprList`.
`Adapter` `createUpdateSourceQueryAdapter()` This creates an adapter for a `UpdateSourceQuery`.
`Adapter` `createValueExpressionCaseElseAdapter()` This creates an adapter for a `ValueExpressionCaseElse`.
`Adapter` `createValueExpressionCaseSearchAdapter()` This creates an adapter for a `ValueExpressionCaseSearch`.
`Adapter` `createValueExpressionCaseSearchContentAdapter()` This creates an adapter for a `ValueExpressionCaseSearchContent`.
`Adapter` `createValueExpressionCaseSimpleAdapter()` This creates an adapter for a `ValueExpressionCaseSimple`.
`Adapter` `createValueExpressionCaseSimpleContentAdapter()` This creates an adapter for a `ValueExpressionCaseSimpleContent`.
`Adapter` `createValueExpressionCastAdapter()` This creates an adapter for a `ValueExpressionCast`.
`Adapter` `createValueExpressionColumnAdapter()` This creates an adapter for a `ValueExpressionColumn`.
`Adapter` `createValueExpressionCombinedAdapter()` This creates an adapter for a `ValueExpressionCombined`.
`Adapter` `createValueExpressionDefaultValueAdapter()` This creates an adapter for a `ValueExpressionDefaultValue`.
`Adapter` `createValueExpressionFunctionAdapter()` This creates an adapter for a `ValueExpressionFunction`.
`Adapter` `createValueExpressionLabeledDurationAdapter()` This creates an adapter for a `ValueExpressionLabeledDuration`.
`Adapter` `createValueExpressionNestedAdapter()` This creates an adapter for a `ValueExpressionNested`.
`Adapter` `createValueExpressionNullValueAdapter()` This creates an adapter for a `ValueExpressionNullValue`.
`Adapter` `createValueExpressionScalarSelectAdapter()` This creates an adapter for a `ValueExpressionScalarSelect`.
`Adapter` `createValueExpressionSimpleAdapter()` This creates an adapter for a `ValueExpressionSimple`.
`Adapter` `createValueExpressionVariableAdapter()` This creates an adapter for a `ValueExpressionVariable`.
`Adapter` `createValuesRowAdapter()` This creates an adapter for a `ValuesRow`.
`Adapter` `createWithTableReferenceAdapter()` This creates an adapter for a `WithTableReference`.
`Adapter` `createWithTableSpecificationAdapter()` This creates an adapter for a `WithTableSpecification`.
`void` `fireNotifyChanged(Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` `setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.util.SQLQueryModelAdapterFactory

`createAdapter, createEModelElementAdapter, createENamedElementAdapter, createEObjectAdapter, createGroupingAdapter, createGroupingSetsElementAdapter, createGroupingSpecificationAdapter, createOrderBySpecificationAdapter, createPredicateAdapter, createPredicateInAdapter, createPredicateQuantifiedAdapter, createQueryChangeStatementAdapter, createQueryExpressionAdapter, createQueryExpressionBodyAdapter, createQueryResultSpecificationAdapter, createQuerySearchConditionAdapter, createQueryStatementAdapter, createQueryValueExpressionAdapter, createSearchConditionAdapter, createSQLDataChangeStatementAdapter, createSQLDataStatementAdapter, createSQLObjectAdapter, createSQLQueryObjectAdapter, createSQLStatementAdapter, createSuperGroupElementAdapter, createTableExpressionAdapter, createTableReferenceAdapter, createValueExpressionAdapter, createValueExpressionAtomicAdapter, createValueExpressionCaseAdapter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLQueryModelItemProviderAdapterFactory

    public SQLQueryModelItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createQueryDeleteStatementAdapter

    public Adapter createQueryDeleteStatementAdapter()

  This creates an adapter for a `QueryDeleteStatement`.

  Overrides:
    `createQueryDeleteStatementAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `QueryDeleteStatement`

### createQueryInsertStatementAdapter

    public Adapter createQueryInsertStatementAdapter()

  This creates an adapter for a `QueryInsertStatement`.

  Overrides:
    `createQueryInsertStatementAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `QueryInsertStatement`

### createQuerySelectStatementAdapter

    public Adapter createQuerySelectStatementAdapter()

  This creates an adapter for a `QuerySelectStatement`.

  Overrides:
    `createQuerySelectStatementAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `QuerySelectStatement`

### createQueryUpdateStatementAdapter

    public Adapter createQueryUpdateStatementAdapter()

  This creates an adapter for a `QueryUpdateStatement`.

  Overrides:
    `createQueryUpdateStatementAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `QueryUpdateStatement`

### createUpdateAssignmentExpressionAdapter

    public Adapter createUpdateAssignmentExpressionAdapter()

  This creates an adapter for a `UpdateAssignmentExpression`.

  Overrides:
    `createUpdateAssignmentExpressionAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `UpdateAssignmentExpression`

### createCursorReferenceAdapter

    public Adapter createCursorReferenceAdapter()

  This creates an adapter for a `CursorReference`.

  Overrides:
    `createCursorReferenceAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CursorReference`

### createQueryExpressionRootAdapter

    public Adapter createQueryExpressionRootAdapter()

  This creates an adapter for a `QueryExpressionRoot`.

  Overrides:
    `createQueryExpressionRootAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `QueryExpressionRoot`

### createValuesRowAdapter

    public Adapter createValuesRowAdapter()

  This creates an adapter for a `ValuesRow`.

  Overrides:
    `createValuesRowAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValuesRow`

### createQueryValuesAdapter

    public Adapter createQueryValuesAdapter()

  This creates an adapter for a `QueryValues`.

  Overrides:
    `createQueryValuesAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `QueryValues`

### createTableJoinedAdapter

    public Adapter createTableJoinedAdapter()

  This creates an adapter for a `TableJoined`.

  Overrides:
    `createTableJoinedAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TableJoined`

### createWithTableSpecificationAdapter

    public Adapter createWithTableSpecificationAdapter()

  This creates an adapter for a `WithTableSpecification`.

  Overrides:
    `createWithTableSpecificationAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `WithTableSpecification`

### createSearchConditionCombinedAdapter

    public Adapter createSearchConditionCombinedAdapter()

  This creates an adapter for a `SearchConditionCombined`.

  Overrides:
    `createSearchConditionCombinedAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SearchConditionCombined`

### createOrderByValueExpressionAdapter

    public Adapter createOrderByValueExpressionAdapter()

  This creates an adapter for a `OrderByValueExpression`.

  Overrides:
    `createOrderByValueExpressionAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `OrderByValueExpression`

### createQueryCombinedAdapter

    public Adapter createQueryCombinedAdapter()

  This creates an adapter for a `QueryCombined`.

  Overrides:
    `createQueryCombinedAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `QueryCombined`

### createQuerySelectAdapter

    public Adapter createQuerySelectAdapter()

  This creates an adapter for a `QuerySelect`.

  Overrides:
    `createQuerySelectAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `QuerySelect`

### createResultTableAllColumnsAdapter

    public Adapter createResultTableAllColumnsAdapter()

  This creates an adapter for a `ResultTableAllColumns`.

  Overrides:
    `createResultTableAllColumnsAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ResultTableAllColumns`

### createResultColumnAdapter

    public Adapter createResultColumnAdapter()

  This creates an adapter for a `ResultColumn`.

  Overrides:
    `createResultColumnAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ResultColumn`

### createPredicateBasicAdapter

    public Adapter createPredicateBasicAdapter()

  This creates an adapter for a `PredicateBasic`.

  Overrides:
    `createPredicateBasicAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredicateBasic`

### createPredicateBetweenAdapter

    public Adapter createPredicateBetweenAdapter()

  This creates an adapter for a `PredicateBetween`.

  Overrides:
    `createPredicateBetweenAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredicateBetween`

### createPredicateExistsAdapter

    public Adapter createPredicateExistsAdapter()

  This creates an adapter for a `PredicateExists`.

  Overrides:
    `createPredicateExistsAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredicateExists`

### createPredicateLikeAdapter

    public Adapter createPredicateLikeAdapter()

  This creates an adapter for a `PredicateLike`.

  Overrides:
    `createPredicateLikeAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredicateLike`

### createPredicateIsNullAdapter

    public Adapter createPredicateIsNullAdapter()

  This creates an adapter for a `PredicateIsNull`.

  Overrides:
    `createPredicateIsNullAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredicateIsNull`

### createPredicateQuantifiedValueSelectAdapter

    public Adapter createPredicateQuantifiedValueSelectAdapter()

  This creates an adapter for a `PredicateQuantifiedValueSelect`.

  Overrides:
    `createPredicateQuantifiedValueSelectAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredicateQuantifiedValueSelect`

### createPredicateQuantifiedRowSelectAdapter

    public Adapter createPredicateQuantifiedRowSelectAdapter()

  This creates an adapter for a `PredicateQuantifiedRowSelect`.

  Overrides:
    `createPredicateQuantifiedRowSelectAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredicateQuantifiedRowSelect`

### createPredicateInValueSelectAdapter

    public Adapter createPredicateInValueSelectAdapter()

  This creates an adapter for a `PredicateInValueSelect`.

  Overrides:
    `createPredicateInValueSelectAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredicateInValueSelect`

### createPredicateInValueListAdapter

    public Adapter createPredicateInValueListAdapter()

  This creates an adapter for a `PredicateInValueList`.

  Overrides:
    `createPredicateInValueListAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredicateInValueList`

### createPredicateInValueRowSelectAdapter

    public Adapter createPredicateInValueRowSelectAdapter()

  This creates an adapter for a `PredicateInValueRowSelect`.

  Overrides:
    `createPredicateInValueRowSelectAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredicateInValueRowSelect`

### createValueExpressionSimpleAdapter

    public Adapter createValueExpressionSimpleAdapter()

  This creates an adapter for a `ValueExpressionSimple`.

  Overrides:
    `createValueExpressionSimpleAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionSimple`

### createValueExpressionColumnAdapter

    public Adapter createValueExpressionColumnAdapter()

  This creates an adapter for a `ValueExpressionColumn`.

  Overrides:
    `createValueExpressionColumnAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionColumn`

### createValueExpressionVariableAdapter

    public Adapter createValueExpressionVariableAdapter()

  This creates an adapter for a `ValueExpressionVariable`.

  Overrides:
    `createValueExpressionVariableAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionVariable`

### createValueExpressionScalarSelectAdapter

    public Adapter createValueExpressionScalarSelectAdapter()

  This creates an adapter for a `ValueExpressionScalarSelect`.

  Overrides:
    `createValueExpressionScalarSelectAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionScalarSelect`

### createValueExpressionLabeledDurationAdapter

    public Adapter createValueExpressionLabeledDurationAdapter()

  This creates an adapter for a `ValueExpressionLabeledDuration`.

  Overrides:
    `createValueExpressionLabeledDurationAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionLabeledDuration`

### createValueExpressionCastAdapter

    public Adapter createValueExpressionCastAdapter()

  This creates an adapter for a `ValueExpressionCast`.

  Overrides:
    `createValueExpressionCastAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCast`

### createValueExpressionNullValueAdapter

    public Adapter createValueExpressionNullValueAdapter()

  This creates an adapter for a `ValueExpressionNullValue`.

  Overrides:
    `createValueExpressionNullValueAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionNullValue`

### createValueExpressionDefaultValueAdapter

    public Adapter createValueExpressionDefaultValueAdapter()

  This creates an adapter for a `ValueExpressionDefaultValue`.

  Overrides:
    `createValueExpressionDefaultValueAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionDefaultValue`

### createValueExpressionFunctionAdapter

    public Adapter createValueExpressionFunctionAdapter()

  This creates an adapter for a `ValueExpressionFunction`.

  Overrides:
    `createValueExpressionFunctionAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionFunction`

### createValueExpressionCombinedAdapter

    public Adapter createValueExpressionCombinedAdapter()

  This creates an adapter for a `ValueExpressionCombined`.

  Overrides:
    `createValueExpressionCombinedAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCombined`

### createGroupingSetsAdapter

    public Adapter createGroupingSetsAdapter()

  This creates an adapter for a `GroupingSets`.

  Overrides:
    `createGroupingSetsAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GroupingSets`

### createGroupingSetsElementSublistAdapter

    public Adapter createGroupingSetsElementSublistAdapter()

  This creates an adapter for a `GroupingSetsElementSublist`.

  Overrides:
    `createGroupingSetsElementSublistAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GroupingSetsElementSublist`

### createGroupingSetsElementExpressionAdapter

    public Adapter createGroupingSetsElementExpressionAdapter()

  This creates an adapter for a `GroupingSetsElementExpression`.

  Overrides:
    `createGroupingSetsElementExpressionAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GroupingSetsElementExpression`

### createSuperGroupAdapter

    public Adapter createSuperGroupAdapter()

  This creates an adapter for a `SuperGroup`.

  Overrides:
    `createSuperGroupAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SuperGroup`

### createGroupingExpressionAdapter

    public Adapter createGroupingExpressionAdapter()

  This creates an adapter for a `GroupingExpression`.

  Overrides:
    `createGroupingExpressionAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GroupingExpression`

### createSuperGroupElementSublistAdapter

    public Adapter createSuperGroupElementSublistAdapter()

  This creates an adapter for a `SuperGroupElementSublist`.

  Overrides:
    `createSuperGroupElementSublistAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SuperGroupElementSublist`

### createSuperGroupElementExpressionAdapter

    public Adapter createSuperGroupElementExpressionAdapter()

  This creates an adapter for a `SuperGroupElementExpression`.

  Overrides:
    `createSuperGroupElementExpressionAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SuperGroupElementExpression`

### createValueExpressionCaseSearchAdapter

    public Adapter createValueExpressionCaseSearchAdapter()

  This creates an adapter for a `ValueExpressionCaseSearch`.

  Overrides:
    `createValueExpressionCaseSearchAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCaseSearch`

### createValueExpressionCaseSimpleAdapter

    public Adapter createValueExpressionCaseSimpleAdapter()

  This creates an adapter for a `ValueExpressionCaseSimple`.

  Overrides:
    `createValueExpressionCaseSimpleAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCaseSimple`

### createValueExpressionCaseElseAdapter

    public Adapter createValueExpressionCaseElseAdapter()

  This creates an adapter for a `ValueExpressionCaseElse`.

  Overrides:
    `createValueExpressionCaseElseAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCaseElse`

### createValueExpressionCaseSearchContentAdapter

    public Adapter createValueExpressionCaseSearchContentAdapter()

  This creates an adapter for a `ValueExpressionCaseSearchContent`.

  Overrides:
    `createValueExpressionCaseSearchContentAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCaseSearchContent`

### createValueExpressionCaseSimpleContentAdapter

    public Adapter createValueExpressionCaseSimpleContentAdapter()

  This creates an adapter for a `ValueExpressionCaseSimpleContent`.

  Overrides:
    `createValueExpressionCaseSimpleContentAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCaseSimpleContent`

### createTableInDatabaseAdapter

    public Adapter createTableInDatabaseAdapter()

  This creates an adapter for a `TableInDatabase`.

  Overrides:
    `createTableInDatabaseAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TableInDatabase`

### createTableFunctionAdapter

    public Adapter createTableFunctionAdapter()

  This creates an adapter for a `TableFunction`.

  Overrides:
    `createTableFunctionAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TableFunction`

### createColumnNameAdapter

    public Adapter createColumnNameAdapter()

  This creates an adapter for a `ColumnName`.

  Overrides:
    `createColumnNameAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ColumnName`

### createTableNestedAdapter

    public Adapter createTableNestedAdapter()

  This creates an adapter for a `TableNested`.

  Overrides:
    `createTableNestedAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TableNested`

### createQueryMergeStatementAdapter

    public Adapter createQueryMergeStatementAdapter()

  This creates an adapter for a `QueryMergeStatement`.

  Overrides:
    `createQueryMergeStatementAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `QueryMergeStatement`

### createSearchConditionNestedAdapter

    public Adapter createSearchConditionNestedAdapter()

  This creates an adapter for a `SearchConditionNested`.

  Overrides:
    `createSearchConditionNestedAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SearchConditionNested`

### createValueExpressionNestedAdapter

    public Adapter createValueExpressionNestedAdapter()

  This creates an adapter for a `ValueExpressionNested`.

  Overrides:
    `createValueExpressionNestedAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpressionNested`

### createOrderByOrdinalAdapter

    public Adapter createOrderByOrdinalAdapter()

  This creates an adapter for a `OrderByOrdinal`.

  Overrides:
    `createOrderByOrdinalAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `OrderByOrdinal`

### createTableCorrelationAdapter

    public Adapter createTableCorrelationAdapter()

  This creates an adapter for a `TableCorrelation`.

  Overrides:
    `createTableCorrelationAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TableCorrelation`

### createUpdateSourceAdapter

    public Adapter createUpdateSourceAdapter()

  This creates an adapter for a `UpdateSource`.

  Overrides:
    `createUpdateSourceAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `UpdateSource`

### createUpdateSourceExprListAdapter

    public Adapter createUpdateSourceExprListAdapter()

  This creates an adapter for a `UpdateSourceExprList`.

  Overrides:
    `createUpdateSourceExprListAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `UpdateSourceExprList`

### createUpdateSourceQueryAdapter

    public Adapter createUpdateSourceQueryAdapter()

  This creates an adapter for a `UpdateSourceQuery`.

  Overrides:
    `createUpdateSourceQueryAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `UpdateSourceQuery`

### createOrderByResultColumnAdapter

    public Adapter createOrderByResultColumnAdapter()

  This creates an adapter for a `OrderByResultColumn`.

  Overrides:
    `createOrderByResultColumnAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `OrderByResultColumn`

### createWithTableReferenceAdapter

    public Adapter createWithTableReferenceAdapter()

  This creates an adapter for a `WithTableReference`.

  Overrides:
    `createWithTableReferenceAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `WithTableReference`

### createQueryNestedAdapter

    public Adapter createQueryNestedAdapter()

  This creates an adapter for a `QueryNested`.

  Overrides:
    `createQueryNestedAdapter` in class `SQLQueryModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `QueryNested`

### getRootAdapterFactory

    public ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

### setParentAdapterFactory

    public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Overrides:
    `isFactoryForType` in class `SQLQueryModelAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public Adapter adapt(Notifier notifier,
                         java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

### addListener

    public void addListener(INotifyChangedListener notifyChangedListener)

  This adds a listener.

### removeListener

    public void removeListener(INotifyChangedListener notifyChangedListener)

  This removes a listener.

### fireNotifyChanged

    public void fireNotifyChanged(Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.